Memory Fragments
Delete Memory
Delete a specified memory fragment
cURL
Copy
curl --request DELETE \
--url 'https://dashscope.aliyuncs.com/api/v2/apps/memory/memory_nodes/{memory_node_id}' \
--header 'Authorization: Bearer <YOUR_API_KEY>'Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Delete a specified memory fragment
curl --request DELETE \
--url 'https://dashscope.aliyuncs.com/api/v2/apps/memory/memory_nodes/{memory_node_id}' \
--header 'Authorization: Bearer <YOUR_API_KEY>'| Parameter | Type | Required | Description |
|---|---|---|---|
memory_node_id | string | Yes | Memory node ID (path parameter) |
curl -X DELETE "https://dashscope.aliyuncs.com/api/v2/apps/memory/memory_nodes/{memory_node_id}" \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
--header "Content-Type: application/json"
curl --request DELETE \
--url 'https://dashscope.aliyuncs.com/api/v2/apps/memory/memory_nodes/{memory_node_id}' \
--header 'Authorization: Bearer <YOUR_API_KEY>'